Bug 1096895 - [abrt] IMAP interruptions side-effects / at malloc.c:3645 / _cairo_traps_grow(): claws-mail killed by SIGSEGV
Summary: [abrt] IMAP interruptions side-effects / at malloc.c:3645 / _cairo_traps_grow...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d84780bf9d1428d7406e1ce2898...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-12 15:40 UTC by Filip Bartmann
Modified: 2015-01-05 07:36 UTC (History)
1 user (show)

Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-30 23:50:08 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (147.58 KB, text/plain)
2014-05-12 15:40 UTC, Filip Bartmann
no flags Details
File: cgroup (159 bytes, text/plain)
2014-05-12 15:40 UTC, Filip Bartmann
no flags Details
File: core_backtrace (40.42 KB, text/plain)
2014-05-12 15:40 UTC, Filip Bartmann
no flags Details
File: dso_list (20.60 KB, text/plain)
2014-05-12 15:40 UTC, Filip Bartmann
no flags Details
File: environ (2.01 KB, text/plain)
2014-05-12 15:40 UTC, Filip Bartmann
no flags Details
File: exploitable (82 bytes, text/plain)
2014-05-12 15:40 UTC, Filip Bartmann
no flags Details
File: limits (1.29 KB, text/plain)
2014-05-12 15:40 UTC, Filip Bartmann
no flags Details
File: maps (62.14 KB, text/plain)
2014-05-12 15:40 UTC, Filip Bartmann
no flags Details
File: open_fds (2.36 KB, text/plain)
2014-05-12 15:40 UTC, Filip Bartmann
no flags Details
File: proc_pid_status (811 bytes, text/plain)
2014-05-12 15:40 UTC, Filip Bartmann
no flags Details
File: var_log_messages (340 bytes, text/plain)
2014-05-12 15:40 UTC, Filip Bartmann
no flags Details

Description Filip Bartmann 2014-05-12 15:40:07 UTC
Version-Release number of selected component:
claws-mail-3.9.3-1.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/claws-mail
crash_function: _cairo_traps_grow
executable:     /usr/bin/claws-mail
kernel:         3.14.2-200.fc20.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _cairo_traps_grow at cairo-traps.c:131
 #3 _cairo_traps_add_trap at cairo-traps.c:157
 #4 _cairo_traps_add_clipped_trap at cairo-traps.c:233
 #5 _cairo_traps_tessellate_convex_quad at cairo-traps.c:384
 #6 _cairo_traps_tessellate_triangle at cairo-traps.c:403
 #7 add_cap at cairo-path-stroke-traps.c:476
 #8 add_leading_cap at cairo-path-stroke-traps.c:535
 #9 add_caps at cairo-path-stroke-traps.c:661
 #10 _cairo_path_fixed_stroke_to_traps at cairo-path-stroke-traps.c:1117
 #11 _cairo_traps_compositor_stroke at cairo-traps-compositor.c:2195

Comment 1 Filip Bartmann 2014-05-12 15:40:18 UTC
Created attachment 894773 [details]
File: backtrace

Comment 2 Filip Bartmann 2014-05-12 15:40:22 UTC
Created attachment 894774 [details]
File: cgroup

Comment 3 Filip Bartmann 2014-05-12 15:40:24 UTC
Created attachment 894775 [details]
File: core_backtrace

Comment 4 Filip Bartmann 2014-05-12 15:40:27 UTC
Created attachment 894776 [details]
File: dso_list

Comment 5 Filip Bartmann 2014-05-12 15:40:30 UTC
Created attachment 894777 [details]
File: environ

Comment 6 Filip Bartmann 2014-05-12 15:40:34 UTC
Created attachment 894778 [details]
File: exploitable

Comment 7 Filip Bartmann 2014-05-12 15:40:36 UTC
Created attachment 894779 [details]
File: limits

Comment 8 Filip Bartmann 2014-05-12 15:40:39 UTC
Created attachment 894780 [details]
File: maps

Comment 9 Filip Bartmann 2014-05-12 15:40:41 UTC
Created attachment 894781 [details]
File: open_fds

Comment 10 Filip Bartmann 2014-05-12 15:40:43 UTC
Created attachment 894782 [details]
File: proc_pid_status

Comment 11 Filip Bartmann 2014-05-12 15:40:46 UTC
Created attachment 894783 [details]
File: var_log_messages

Comment 12 Michael Schwendt 2014-05-26 16:56:15 UTC
> #0  0x4b08b260 in _int_malloc (av=av@entry=0x4b1ce420 <main_arena>,
> bytes=bytes@entry=2560) at malloc.c:3645

Memory corruption as a side-effect. Very likely fixed upstream after 3.9.3 as a result of recent fixes for bug 569478 and its corresponding upstream tickets.

Comment 13 Fedora Update System 2014-05-26 21:17:27 UTC
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20

Comment 14 Fedora Update System 2014-05-26 21:18:00 UTC
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19

Comment 15 Fedora Update System 2014-05-28 02:56:58 UTC
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-05-30 23:50:08 UTC
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-11-02 17:51:54 UTC
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19

Comment 18 Fedora Update System 2014-11-02 17:52:28 UTC
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20

Comment 19 Fedora Update System 2014-11-02 17:55:08 UTC
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21

Comment 20 Fedora Update System 2014-11-10 06:30:17 UTC
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-11-10 06:34:02 UTC
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-01-05 07:36:29 UTC
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.